<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::memory_manager_kernel_2&lt; T, chunk_size &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1memory__manager__kernel__2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::memory_manager_kernel_2&lt; T, chunk_size &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1memory__manager__kernel__2_1_1chunk__node.html">chunk_node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniondlib_1_1memory__manager__kernel__2_1_1node.html">node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1memory__manager__kernel__2_1_1rebind.html">rebind</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a7b5d95786cc60d69538be6dd95cfb93a"><td class="memItemLeft" align="right" valign="top"><a id="a7b5d95786cc60d69538be6dd95cfb93a"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a7b5d95786cc60d69538be6dd95cfb93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a088c9c9e7e71589622cf6dc168d4abf0"><td class="memItemLeft" align="right" valign="top"><a id="a088c9c9e7e71589622cf6dc168d4abf0"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_number_of_allocations</b> () const</td></tr>
<tr class="separator:a088c9c9e7e71589622cf6dc168d4abf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bad663db680abf33f5dd70435137524"><td class="memItemLeft" align="right" valign="top"><a id="a2bad663db680abf33f5dd70435137524"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>allocate_array</b> (unsigned long size)</td></tr>
<tr class="separator:a2bad663db680abf33f5dd70435137524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21d0542fdbc3a7644f24e321e5fdf502"><td class="memItemLeft" align="right" valign="top"><a id="a21d0542fdbc3a7644f24e321e5fdf502"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deallocate_array</b> (T *item)</td></tr>
<tr class="separator:a21d0542fdbc3a7644f24e321e5fdf502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c41089a3c2b10aa827c80451b30439"><td class="memItemLeft" align="right" valign="top"><a id="aa6c41089a3c2b10aa827c80451b30439"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>allocate</b> ()</td></tr>
<tr class="separator:aa6c41089a3c2b10aa827c80451b30439"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9514f71beec0e2ddc27d954431033531"><td class="memItemLeft" align="right" valign="top"><a id="a9514f71beec0e2ddc27d954431033531"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deallocate</b> (T *item)</td></tr>
<tr class="separator:a9514f71beec0e2ddc27d954431033531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00a1eb1a66efcbeb78e95bfcd2696368"><td class="memItemLeft" align="right" valign="top"><a id="a00a1eb1a66efcbeb78e95bfcd2696368"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a> &amp;item)</td></tr>
<tr class="separator:a00a1eb1a66efcbeb78e95bfcd2696368"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acb521c355eddce0ae8cf39babf9acea9"><td class="memItemLeft" align="right" valign="top"><a id="acb521c355eddce0ae8cf39babf9acea9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>memory_manager_kernel_2</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a> &amp;)</td></tr>
<tr class="separator:acb521c355eddce0ae8cf39babf9acea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf73304a70858f42751ef86ef3ea2b34"><td class="memItemLeft" align="right" valign="top"><a id="acf73304a70858f42751ef86ef3ea2b34"></a>
<a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1memory__manager__kernel__2.html">memory_manager_kernel_2</a> &amp;)</td></tr>
<tr class="separator:acf73304a70858f42751ef86ef3ea2b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a329ad38d6c07e8ceba2812460e49e096"><td class="memItemLeft" align="right" valign="top"><a id="a329ad38d6c07e8ceba2812460e49e096"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>allocations</b></td></tr>
<tr class="separator:a329ad38d6c07e8ceba2812460e49e096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a932915838331c369f7305e048f30224b"><td class="memItemLeft" align="right" valign="top"><a id="a932915838331c369f7305e048f30224b"></a>
<a class="el" href="uniondlib_1_1memory__manager__kernel__2_1_1node.html">node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>next</b></td></tr>
<tr class="separator:a932915838331c369f7305e048f30224b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45a5f7c0f13bd8baea7daccf8692a1ca"><td class="memItemLeft" align="right" valign="top"><a id="a45a5f7c0f13bd8baea7daccf8692a1ca"></a>
<a class="el" href="structdlib_1_1memory__manager__kernel__2_1_1chunk__node.html">chunk_node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>first_chunk</b></td></tr>
<tr class="separator:a45a5f7c0f13bd8baea7daccf8692a1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="memory__manager__kernel__2_8h_source.html">memory_manager_kernel_2.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
